--------------------------
-- HELP COMMANDS SYSTEM --
--      by Qrchack      --
--------------------------

addhook("minute","ad")
function ad()
	msg("000255000HELP system by Qrchack is ON")
	msg("255000255Find me on UnrealSoftware.de!")
end

addhook("join","cmdlist")
function cmdlist(p)
	page=0
	maxpage=0
	msg2(p,"255000255[HELP system] HELP system by Qrchack is ON")
	msg2(p,"255255255[HELP system] Say !help for help")
end


--------------------------------------
-- SAY FUNCTIONS                    --
--------------------------------------
addhook("say","sayfun")
function sayfun(p,txt)

	if (txt=="!help") then
		msg2(p,"000255000[HELP system] HELP TURNED ON")
		help=1
		parse('hudtxt 30 "255255255[PAGE 1 - Date & Time] Commands list: !closehelp, !time, !date [!next] >>" 10 425')
		return 1
		end

	if (txt=="!closehelp") then
		msg2(p,"255000000[HELP system] HELP TURNED OFF")
		help=0; parse('hudtxt 30 "" 10 425')
		return 1
	end

	-- Time e.g.: 04:36 pm
	if (txt=="!time") then msg2(p,os.date("255255255Time: %I:%M %p")); return 1; end

	-- Date e.g.: Wednesday, 25 Feb 2009
	if (txt=="!date") then msg2(p,os.date("255255255Date: %A, %d %b %Y")); return 1; end

	-- Slap me
	if (txt=="!slapme") then parse("slap "..p); return 1; end

	-- Show idlers (idle for 10 secs or longer)
	if (txt=="!idlers") then
		idlers=0
		for i=1,32 do
			if (player(i,"exists")) then
				if (player(i,"idle")>9) then
					idlers=idlers+1
					msg2(p,"255255255"..player(i,"name").." is idle for "..player(i,"idle").." secs!")
				end
			end
		end
		if (idlers==0) then msg2(p,"255000000Nobody idles!"); return 1; end
		return 1
	end

	-- SOUND: That's the way I like it
	if (txt=="!theway") then parse("sv_sound \"fun/thats_the_way.wav\""); end

	-- SOUND: Okay let's go
	if (txt=="!letsgo") then parse("sv_sound \"hostage/hos2.wav\""); end

	-- SOUND: Buaraarahahrahrrrr harr!
	if (txt=="!zm") then parse("sv_sound \"player/zm_spray.wav\""); end

	-- SOUND: Mystery
	if (txt=="!mst") then parse("sv_sound \"env/mystery.wav\""); end

	-- SOUND: O, k***a, jaki dupszot!
	if (txt=="!dupszot") then parse("sv_sound \"lolpl/dupszot.wav\""); end

	-- SOUND: Pierdol sie
	if (txt=="!pierdolsie") then parse("sv_sound \"lolpl/pierdol.wav\""); end

	-- SOUND: Nie obijac sie, k***a!
	if (txt=="!nieobij") then parse("sv_sound \"lolpl/nieobij.wav\""); end

	-- SOUND: Pop1
	if (txt=="!pop1") then parse("sv_sound \"lolpl/pop1.ogg\""); end

	-- SOUND: Pop2
	if (txt=="!pop2") then parse("sv_sound \"lolpl/pop2.ogg\""); end

	-- SOUND: Techno1
	if (txt=="!techno1") then parse("sv_sound \"lolpl/techno1.ogg\""); end

	-- SOUND: Techno2
	if (txt=="!techno2") then parse("sv_sound \"lolpl/techno2.ogg\""); end

	-- SOUND: Techno3
	if (txt=="!techno3") then parse("sv_sound \"lolpl/techno3.ogg\""); end

	-- SOUND: Techno4
	if (txt=="!techno4") then parse("sv_sound \"lolpl/techno4.ogg\""); end

	-- SOUND: Tecto1
	if (txt=="!tecto1") then parse("sv_sound \"lolpl/tecto1.ogg\""); end

	-- SOUND: Wypier*****c
	if (txt=="!wypier") then parse("sv_sound \"lolpl/wypier.wav\""); end

	-- HELP PAGES
	if (txt=="!next") and help==1 then
		if page==0 and help==1 then
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 2 - Idle & Slap] Commands list: !idlers, !slapme [!next] >>" 10 425')
			maxpage=0
			page=1
			return 1
		end
		if page==1 and help==1 then
			page=2
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 3 - Sounds] Commands list: !theway, !letsgo, !zm, !mst [!next] >>" 10 425')
			return 1
		end
		if page==2 and help==1 then
			page=3
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 4 - Sounds (2)] Commands list: !dupszot, !pierdolsie, !nieobij [!next] >>" 10 425')
			return 1
		end
		if page==3 and help==1 then
			page=4
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 5 - Sounds (3)] Commands list: !pop1 !pop2, !techno1, !techno2[!next] >>" 10 425')
			return 1
		end
		if page==4 and help==1 then
			page=5
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 6 - Sounds (4)] Commands list: !techno3 !techno4, !tecto1, !wypier" 10 425')
			return 1
		end
		if maxpage==1 and help==1 then
			msg2(p,"255000000There are no more commands! Say !prev for previous page!")
			return 1
		end
	end
	if (txt=="!prev") then
		if page==1 and help==1 then
		parse('hudtxt 30 "255255255[PAGE 1 - Date & Time] Commands list: !closehelp, !time, !date [!next] >>" 10 425')
			maxpage=0
			page=0
			return 1
		end
		if page==2 and help==1 then
			page=1
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 2 - Idle & Slap] Commands list: !idlers, !slapme [!next] >>" 10 425')
			return 1
		end
		if page==3 and help==1 then
			page=2
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 3 - Sounds] Commands list: !theway, !letsgo, !zm, !mst [!next] >>" 10 425')
			return 1
		end
		if page==4 and help==1 then
			page=3
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 4 - Sounds (2)] Commands list: !dupszot, !pierdolsie, !nieobij [!next] >>" 10 425')
		end
		if page==5 and help==1 then
			page=4
			maxpage=0
			parse('hudtxt 30 "255255255<< [!prev] [PAGE 5 - Sounds (3)] Commands list: !pop1 !pop2, !techno1, !techno2 [!next] >>" 10 425')
		end
	end

end
